//!/////////////////////////////////////////////////////////////////////////
/// usart.h                                                               //
///                                                                       //
/// Version:     0.3                                                      //
/// Date:        05/22/2010                                               //
/// Author:      Michael Skutek (michael@skutek.de)                       //
///                                                                       //
/// Description: Contains the USART definitions                           //
///                                                                       //
/// Platform:    AVR ATmega (tested on ATmega16)                          //
///                                                                       //
///                                                                       //
///                                                                       //
/// This program is free software: you can redistribute it and/or modify  //
/// it under the terms of the GNU Lesser General Public License as        //
/// published by the Free Software Foundation, either version 3 of the    //
/// License, or (at your option) any later version.                       //
///                                                                       //
/// This program is distributed in the hope that it will be useful,       //
/// but WITHOUT ANY WARRANTY; without even the implied warranty of        //
/// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the          //
/// GNU Lesser General Public License for more details.                   //
///                                                                       //
/// You should have received a copy of the GNU Lesser General Public      //
/// License along with this program. If not, see                          //
/// <http://www.gnu.org/licenses/>.                                       //
//!/////////////////////////////////////////////////////////////////////////


#ifndef USART_H_INCLUDED
#define USART_H_INCLUDED



///USART definitions
#define USART_RCV_BUFFER_LENGTH         30

#define USART_COMMAND_OK                 0
#define USART_UNKNOWN_COMMAND            1


///USART Command Checksums
#define SYNCHRONIZE                   1254


///prototypes

void USART_Init(unsigned int baud);
void USART_putc(unsigned char c);
void USART_puts(const char *s, uint8_t flash_mem);
uint8_t process_usart_command(void);


#endif // USART_H_INCLUDED
